HttpQueryString::set
HttpQueryString::toArray
The HttpQueryString class
PHP Manual

# HttpQueryString::singleton

(PECL pecl_http:0.25.0-1.5.5)

HttpQueryString::singleton — HttpQueryString singleton

### Description

static public HttpQueryString HttpQueryString::singleton ([ bool `$global = TRUE` ] )

Get a single instance (differentiates between the global setting).

### Parameters

`global`

  whether to operate on $_GET and $_SERVER['QUERY_STRING']

### Return Values

Returns always the same HttpQueryString instance regarding the global setting.

### Errors/Exceptions

Throws HttpRuntimeException.

HttpQueryString::set
HttpQueryString::toArray
The HttpQueryString class
PHP Manual